Summary:	Versatile Database Driven Nameserver
Name:		pdns
Version:	3.2
Release:	%mkrel 4
License:	GPL
Group:		System/Servers
URL:		http://www.powerdns.com/
Source0:	http://downloads.powerdns.com/releases/pdns-%{version}.tar.gz
# wget -rm http://rtfm.powerdns.com
Source1:	rtfm.powerdns.com.tar.bz2
Source2:	pdns.service
Patch0:		pdns-3.2-really_use_system_polarssl.diff
Patch1:		pdns-mga-fix_configure.ac_for_autotools-1.13.patch
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	autoconf automake libtool
BuildRequires:	mysql-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	sqlite3-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
BuildRequires:	lua5.1-devel
BuildRequires:	curl-devel
BuildRequires:	polarssl-devel
#BuildRequires:	docbook-utils-pdf
Provides:	nameserver powerdns PowerDNS
Obsoletes:	nameserver powerdns PowerDNS

%description
PowerDNS is a versatile nameserver which supports a large number
of different backends ranging from simple zonefiles to relational
databases and load balancing/failover algorithms.

It comes with support for MySQL, PostgreSQL, Bind zonefiles and the 'pipe
backend' availible as external packages.

%package	backend-pipe
Summary:	Pipe/coprocess backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-pipe
Obsoletes:	PowerDNS-backend-pipe
Requires:	%{name} = %{version}

%description	backend-pipe
This package contains the pipe backend for the PowerDNS nameserver. This
allows PowerDNS to retrieve domain info from a process that accepts
questions on stdin and returns answers on stdout. 

%package	backend-mysql
Summary:	MySQL backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-mysql
Obsoletes:	PowerDNS-backend-mysql
Requires:	%{name} = %{version}

%description	backend-mysql
This package contains a MySQL backend for the PowerDNS nameserver.

%package	backend-pgsql
Summary:	Generic PostgreSQL backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-pgsql
Obsoletes:	PowerDNS-backend-pgsql
Requires:	%{name} = %{version}

%description	backend-pgsql
This package contains a generic PostgreSQL backend 
for the PowerDNS nameserver. It has configurable SQL statements.

%package	backend-ldap
Summary:	LDAP backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-ldap
Obsoletes:	PowerDNS-backend-ldap
Requires:	%{name} = %{version}

%description	backend-ldap
This package contains a LDAP backend for the PowerDNS nameserver.

%package	backend-sqlite
Summary:	SQLite backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-sqlite
Obsoletes:	PowerDNS-backend-sqlite
Requires:	%{name} = %{version}

%description	backend-sqlite
This package contains a SQLite backend for the PowerDNS nameserver.

%package	backend-geo
Summary:	GEO backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-geo
Obsoletes:	PowerDNS-backend-geo
Requires:	%{name} = %{version}

%description	backend-geo
This package contains a geo backend for the PowerDNS nameserver.

%prep
%setup -q -n pdns-%{version} -a1
%patch0 -p1
%patch1 -p0

rm -rf pdns/ext/polarssl*

%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED -DHAVE_LIBPOLARSSL"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED -DHAVE_LIBPOLARSSL"
autoreconf -fi

%configure2_5x \
    --disable-static \
    --with-sqlite3 \
    --sysconfdir=%{_sysconfdir}/powerdns \
    --libdir=%{_libdir}/powerdns \
    --with-socketdir=/run/powerdns \
    --with-dynmodules="gmysql gpgsql pipe ldap gsqlite3 geo" \
    --with-modules="" \
    --with-mysql-lib=%{_libdir} \
    --with-sqlite-lib=%{_libdir} \
    --with-pgsql-lib=%{_libdir}

%make

%install

%makeinstall_std

install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/pdns.service

find %{buildroot} -name '*.la' -delete

# fix the config
mv %{buildroot}%{_sysconfdir}/powerdns/pdns.conf-dist %{buildroot}%{_sysconfdir}/powerdns/pdns.conf

cat >> %{buildroot}%{_sysconfdir}/powerdns/pdns.conf << EOF
module-dir=%{_libdir}/powerdns
socket-dir=/run/powerdns
setuid=powerdns
setgid=powerdns
launch=bind
#recursor=127.0.0.1:5300
EOF

chmod 600 %{buildroot}%{_sysconfdir}/powerdns/pdns.conf

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/powerdns 0755 powerdns powerdns
EOF

%pre
%_pre_useradd powerdns /var/lib/powerdns /bin/false

%post
%_tmpfilescreate %{name}
%_post_service powerdns

%preun
%_preun_service powerdns

%postun
%_postun_userdel powerdns

%files
%doc ChangeLog HACKING INSTALL README TODO rtfm.powerdns.com pdns/*.sql
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/powerdns/pdns.conf
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/pdns.service
%dir %{_sysconfdir}/powerdns
%dir %{_libdir}/powerdns
%{_bindir}/pdns_control
%{_bindir}/zone2sql
%{_bindir}/zone2ldap
%{_bindir}/dnsreplay
%{_bindir}/pdnssec
%{_bindir}/zone2json
%{_sbindir}/pdns_server
%{_mandir}/man8/pdns_control.8*
%{_mandir}/man8/pdns_server.8*
%{_mandir}/man8/zone2sql.8*

%files backend-pipe
%{_libdir}/powerdns/libpipebackend.so

%files backend-mysql
%{_libdir}/powerdns/libgmysqlbackend.so

%files backend-pgsql
%{_libdir}/powerdns/libgpgsqlbackend.so

%files backend-ldap
%{_libdir}/powerdns/libldapbackend.so

%files backend-sqlite
%{_libdir}/powerdns/libgsqlite3backend.so

%files backend-geo
%doc modules/geobackend/README
%{_libdir}/powerdns/libgeobackend.so


%changelog

* Sat May 04 2013 oden <oden> 3.2-4.mga3
+ Revision: 412337
- break out the recursor due to security issues

* Wed Apr 10 2013 malo <malo> 3.2-3.mga3
+ Revision: 409471
- rebuild for boost 1.53

* Sun Mar 24 2013 colin <colin> 3.2-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Thu Feb 21 2013 barjac <barjac> 3.2-1.mga3
+ Revision: 399622
- patch for autotools-1.13
- add pdns-recursor.conf to files

  + oden <oden>
    - 3.2
    - merged the pdns-recursor spec file and provide it from this source rpm package
    - fix build for system polarssl libs
    - newer S1
    - various fixes

* Sun Jan 13 2013 luigiwalser <luigiwalser> 3.1-4.mga3
+ Revision: 364974
- add tmpfiles config for /run/powerdns

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 3.1-2.mga3
+ Revision: 333057
- rebuild for new boost

* Thu Nov 15 2012 fwang <fwang> 3.1-1.mga3
+ Revision: 318162
- update install script
- use systemd
- update file list
- build sqlite3 ext
- drop patch
- new version 3.1

* Wed Aug 01 2012 fwang <fwang> 3.0.1-3.mga3
+ Revision: 276898
- build with lua 5.1
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 3.0.1-2.mga3
+ Revision: 250109
- rebuild for new boost

* Fri Jan 13 2012 fwang <fwang> 3.0.1-1.mga2
+ Revision: 195555
- new version 3.0.1

* Sun Dec 11 2011 fwang <fwang> 3.0-1.mga2
+ Revision: 180569
- drop with lua specification
- br lua
- new version 3.0

* Wed Dec 07 2011 fwang <fwang> 2.9.22-10.mga2
+ Revision: 178113
- drop .la files

* Thu Mar 24 2011 dmorgan <dmorgan> 2.9.22-9.mga1
+ Revision: 77114
- Rebuild against new mysql

* Sun Feb 20 2011 dmorgan <dmorgan> 2.9.22-8.mga1
+ Revision: 54557
- imported package pdns


* Sun Jan 02 2011 Funda Wang <fwang@mandriva.org> 2.9.22-8mdv2011.0
+ Revision: 627490
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.5.8 libs, again
    - rebuilt against mysql-5.5.8 libs

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.9.22-5mdv2011.0
+ Revision: 614490
- the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.9.22-4mdv2010.1
+ Revision: 507503
- rebuild

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 2.9.22-3mdv2010.0
+ Revision: 454065
- added a gcc44 patch from fedora
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Mar 06 2009 Michael Scherer <misc@mandriva.org> 2.9.22-1mdv2009.1
+ Revision: 349923
- update to 2.9.22
- remove patch 1 about adding -avoid-version, applied upstream
- remove patch 2 for gcc4.3, not needed anymore
- remove patch 3, not needed anymore
- add patch 4, to fix format sting error

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.21.2-2mdv2009.1
+ Revision: 311314
- rebuilt against mysql-5.1.30 libs

* Tue Nov 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.21.2-1mdv2009.1
+ Revision: 304248
- 2.9.21.2 (Major security fixes)

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.21.1-2mdv2009.0
+ Revision: 284546
- added P3 to fix build against latest boost

* Sat Aug 09 2008 Michael Scherer <misc@mandriva.org> 2.9.21.1-1mdv2009.0
+ Revision: 270058
- new version, and fix building with new pgsql policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.21-4mdv2009.0
+ Revision: 209732
- added a gcc43 patch from fedora
- added lsb header and other fixes in the init script

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.9.21-3mdv2008.1
+ Revision: 171019
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.21-2mdv2008.1
+ Revision: 142106
- fix build
- drop the xdb backend, not recently tested
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Oden Eriksson <oeriksson@mandriva.com> 2.9.21-1mdv2008.0
+ Revision: 17247
- 2.9.21


* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-4mdv2007.0
+ Revision: 110707
- rebuilt against new postgresql libs
- remove lies in the description

* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-3mdv2007.1
+ Revision: 93708
- Import pdns

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Thu May 25 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-2mdk
- move the recursor to a stand alone package

* Sat Apr 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-1mdk
- 2.9.20
- drop upstream patches; P10-P17

* Tue Jan 24 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.19-3mdk
- added debian patches (P10-P17)

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.19-2mdk
- rebuilt against openssl-0.9.8a

* Tue Nov 01 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.19-1mdk
- 2.9.19 (Major bugfixes)
- new docs (S1)
- fix deps
- drop upstream patches; P2

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.18-3mdk
- rebuilt against MySQL-5.0.15

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.18-2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.18-1mdk
- 2.9.18
- rediff P1
- drop upstream applied patches (P2,P3)
- renamed to pdns-*
- fix deps
- added P2 from svn to make it compile with gcc4
- updated the manual (S1)

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.17-7mdk
- lib64 fixes
- added P3 to make it build on x86_64 (vdanen)

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.17-6mdk
- rebuilt against new postgresql libs
- rpmlint fixes

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.9.17-5mdk
- rebuild for ldap2.2_7

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-4mdk
- rebuilt against new openldap libs

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-3mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-2mdk
- added the forgotten geo backend sub package
- added new docs

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-1mdk
- 2.9.17
- rediffed P1 & P2
- drop P3, it's included

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.16-2mdk
- rebuilt against new deps and with gcc v3.4.x
- remove obsolete pq++ requirements (new P2)
- added P3
- use libtool magic
- misc spec file fixes

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.16-1mdk
- 2.9.16
- rediffed P1

